Loading...
Searching...
No Matches
gridfire::solver::MultiZoneNetworkSolver< EngineT > Class Template Referenceabstract

`#include <strategy_abstract.h>`

Collaboration diagram for gridfire::solver::MultiZoneNetworkSolver< EngineT >:
[legend]

## Public Member Functions

| MultiZoneNetworkSolver (const EngineT &engine, const SingleZoneNetworkSolver< EngineT > &solver)
virtual | ~MultiZoneNetworkSolver ()=default
virtual std::vector< NetOut > | evaluate (SolverContextBase &solver_ctx, const std::vector< NetIn > &netIns) const =0

## Protected Attributes

const EngineT & | m_engine
| The engine used by this solver strategy.
const SingleZoneNetworkSolver< EngineT > & | m_solver

## Constructor & Destructor Documentation

## MultiZoneNetworkSolver()

template<IsEngine EngineT>

gridfire::solver::MultiZoneNetworkSolver< EngineT >::MultiZoneNetworkSolver | ( | const EngineT & | engine,
|  | const SingleZoneNetworkSolver< EngineT > & | solver )

inlineexplicit

## ~MultiZoneNetworkSolver()

template<IsEngine EngineT>

virtual gridfire::solver::MultiZoneNetworkSolver< EngineT >::~MultiZoneNetworkSolver | ( |  | ) |

virtualdefault

## Member Function Documentation

## evaluate()

template<IsEngine EngineT>

virtual std::vector< NetOut > gridfire::solver::MultiZoneNetworkSolver< EngineT >::evaluate | ( | SolverContextBase & | solver_ctx,
|  | const std::vector< NetIn > & | netIns ) const

pure virtual

Implemented in gridfire::solver::GridSolver, and PyMultiZoneDynamicNetworkSolver.

## Member Data Documentation

## m_engine

template<IsEngine EngineT>

const EngineT& gridfire::solver::MultiZoneNetworkSolver< EngineT >::m_engine

protected

The engine used by this solver strategy.

## m_solver

template<IsEngine EngineT>

const SingleZoneNetworkSolver<EngineT>& gridfire::solver::MultiZoneNetworkSolver< EngineT >::m_solver

protected

The documentation for this class was generated from the following file:

- src/include/gridfire/solver/strategies/strategy_abstract.h